QGIS Application - Bug report #9520
bbox filter doesn't work applied on a WFS datasource
2014-02-09 09:19 AM - Salvatore Larosa

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18110
Description

When applying a filter like bbox does not retrieve the features from a WFS data url.
Steps to reproduce:

- using this WFS url: http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/wfs/Carta_geologica.map

- apply a filter as: bbox( $geometry, geomFromWKT( 'POLYGON((15.95058454699520034
39.11197514687498256,15.86081549362981491 39.47105136033652428,16.7348825921875175
39.77343132956730187,17.77903842343752672 39.36710824591344959,17.54280407247598816
38.65840519302882683,16.78685414939905485 38.70092737620190348,16.06870172247597139
38.86629142187498331,15.95058454699520034 39.11197514687498256))" ) )

- you'll get back a layer with no fetures.

Applying the same function by "Select features using an expression” tool after having loaded the WFS works fine

| guess this is supposed to work also for a WFS datasource, or doesn't it?

Associated revisions

Revision ba47c9fe - 2014-02-16 10:32 AM - Martin Dobias

Fix #9520 (bbox filter doesn't work applied on a WFS datasource)

Currently the bbox must have syntax bbox($geometry, geomFromWKT('..."))

History

#1 - 2014-02-16 01:33 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"ba47c9feb62ecaal02d16eff8ac61363047e511".
